/* hulamonohelper.c - Drops privs before launching a mono processes */
#include <config.h>
#include <xpl.h>
#include <msgapi.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>

int 
main(int argc, char **argv) 
{
    int bufLen = 1024;
    char *newArgv[bufLen];
    int curArgv = 0;
    int i;
    sigset_t set;

    if (XplSetRealUser(MsgGetUnprivilegedUser()) < 0) {
        XplConsolePrintf("%s: Could not drop to unprivileged user '%s'\n", argv[0], 
                         MsgGetUnprivilegedUser());
        return 2;
    }

    sigfillset(&set);
    pthread_sigmask(SIG_UNBLOCK, &set, NULL);

    /* the HULA_MONO and HULA_MONO_ARGS environment variables should
       be removed before shipping. */
    if (getenv("HULA_MONO") != NULL) {
        newArgv[curArgv++] = getenv("HULA_MONO");
    } else {
        newArgv[curArgv++] = "mono";
    }

    if (getenv("HULA_MONO_ARGS") != NULL) {
        newArgv[curArgv++] = getenv("HULA_MONO_ARGS");
    }

    newArgv[curArgv++] = "--debug";

    i=1;  /* Skip the first arg (hulamonohelper itself) */
    while (i < argc && curArgv < bufLen-1) {
      newArgv[curArgv++] = argv[i++];
    }

    newArgv[curArgv] = NULL;

    execvp(newArgv[0], newArgv);
    
    XplConsolePrintf("hulamonohelper: Could not execute mono: %s\n", strerror(errno));

    return 3;
    
}
