/****************************************************************************
 *
 * <Novell-copyright>
 * Copyright (c) 2001 Novell, Inc. All Rights Reserved.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public License
 * as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, contact Novell, Inc.
 * 
 * To contact Novell about this file by physical or electronic mail, you 
 * may find current contact information at www.novell.com.
 * </Novell-copyright>
 ****************************************************************************/

#include <config.h>
#include <platform.h>

unsigned char	XPLStandardCCharacterTypes[] = {
	/*	0x00	000	Null										*/	XPL_CONTROL, 
	/*	0x01	001	SOH	Start of Heading				*/	XPL_CONTROL, 
	/*	0x02	002	STX	Start Text						*/	XPL_CONTROL, 
	/*	0x03	003	ETX	End Text							*/	XPL_CONTROL, 
	/*	0x04	004	EOT	End of Transmisison			*/	XPL_CONTROL, 
	/*	0x05	005	ENQ	Enquiry							*/	XPL_CONTROL, 
	/*	0x06	006	ACK	Acknowledge						*/	XPL_CONTROL, 
	/*	0x07	007	BEL	Bell								*/	XPL_CONTROL,                        
	/*	0x08	008	BS		Backspace						*/	XPL_CONTROL, 
	/*	0x09	009	HT		Horizontal Tab					*/	XPL_CONTROL | XPL_WHITE_SPACE, 
	/*	0x0A	010	LF		Linefeed							*/	XPL_CONTROL | XPL_WHITE_SPACE, 
	/*	0x0B	011	VT		Vertical Tab					*/	XPL_CONTROL | XPL_WHITE_SPACE, 
	/*	0x0C	012	FF		Formfeed							*/	XPL_CONTROL | XPL_WHITE_SPACE, 
	/*	0x0D	013	CR		Carriage Return				*/	XPL_CONTROL | XPL_WHITE_SPACE, 
	/*	0x0E	014	SO		Shift Out						*/	XPL_CONTROL,
	/*	0x0F	015	SI		Shift In							*/	XPL_CONTROL, 
	/*	0x10	016	DLE	Data Link Escape				*/	XPL_CONTROL, 
	/*	0x11	017	DC1	Device Control 1				*/	XPL_CONTROL, 
	/*	0x12	018	DC2	Device Control 2				*/	XPL_CONTROL, 
	/*	0x13	019	DC3	Device Control 3				*/	XPL_CONTROL, 
	/*	0x14	020	DC4	Device Control 4				*/	XPL_CONTROL, 
	/*	0x15	021	NAK	Negative Acknowledgement	*/	XPL_CONTROL, 
	/*	0x16	022	SYN	Synchronous Idle				*/	XPL_CONTROL, 
	/*	0x17	023	ETB	End Transmission Block		*/	XPL_CONTROL, 
	/*	0x18	024	CAN	Cancel							*/	XPL_CONTROL, 
	/*	0x19	025	EM		End Medium						*/	XPL_CONTROL, 
	/*	0x1A	026	EOF	End of File						*/	XPL_CONTROL, 
	/*	0x1B	027	ESC	Escape							*/	XPL_CONTROL, 
	/*	0x1C	028	FS		File Separator					*/	XPL_CONTROL, 
	/*	0x1D	029	GS		Group Separator				*/	XPL_CONTROL, 
	/*	0x1E	030	HOM	Home								*/	XPL_CONTROL, 
	/*	0x1F	031	NEW	Newline							*/	XPL_CONTROL, 
	/*	0x20	032	SPA	Space								*/	XPL_WHITE_SPACE | XPL_HARD_SPACE, 
	/*	0x21	033	!		Exclamation Point				*/	XPL_PUNCTUATION, 
	/*	0x22	034	"		Double Quote					*/	XPL_PUNCTUATION, 
	/*	0x23	035	#		Pound Sign						*/	XPL_PUNCTUATION, 
	/*	0x24	036	$		Dollar Sign						*/	XPL_PUNCTUATION, 
	/*	0x25	037	%		Percent							*/	XPL_PUNCTUATION, 
	/*	0x26	038	&		Ampersand						*/	XPL_PUNCTUATION, 
	/*	0x27	039	'		Apostrophe						*/	XPL_PUNCTUATION, 
	/*	0x28	040	(		Right Parenthesis				*/	XPL_PUNCTUATION, 
	/*	0x29	041	)		Left Parenthesis				*/	XPL_PUNCTUATION, 
	/*	0x2A	042	*		Asterick							*/	XPL_PUNCTUATION, 
	/*	0x2B	043	+		Plus								*/	XPL_PUNCTUATION, 
	/*	0x2C	044	,		Comma								*/	XPL_PUNCTUATION, 
	/*	0x2D	045	-		Minus								*/	XPL_PUNCTUATION, 
	/*	0x2E	046	.		Period							*/	XPL_PUNCTUATION, 
	/*	0x2F	047	/		Forward Slash					*/	XPL_PUNCTUATION, 
	/*	0x30	048	0		Zero								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x31	049	1		One								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x32	050	2		Two								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x33	051	3		Three								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x34	052	4		Four								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x35	053	5		Five								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x36	054	6		Six								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x37	055	7		Seven								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x38	056	8		Eigth								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x39	057	9		Nine								*/	XPL_DIGIT | XPL_HEXADECIMAL, 
	/*	0x3A	058	:		Colon								*/	XPL_PUNCTUATION, 
	/*	0x3B	059	;		Semi-Colon						*/	XPL_PUNCTUATION, 
	/*	0x3C	060	<		Less-than						*/	XPL_PUNCTUATION, 
	/*	0x3D	061	=		Equal								*/	XPL_PUNCTUATION, 
	/*	0x3E	062	>		Greater-than					*/	XPL_PUNCTUATION, 
	/*	0x3F	063	?		Question Mark					*/	XPL_PUNCTUATION, 
	/*	0x40	064	@		At									*/	XPL_PUNCTUATION, 
	/*	0x41	065	A		Uppercase A						*/	XPL_UPPERCASE | XPL_HEXADECIMAL, 
	/*	0x42	066	B		Uppercase B						*/	XPL_UPPERCASE | XPL_HEXADECIMAL, 
	/*	0x43	067	C		Uppercase C						*/	XPL_UPPERCASE | XPL_HEXADECIMAL, 
	/*	0x44	068	D		Uppercase D						*/	XPL_UPPERCASE | XPL_HEXADECIMAL, 
	/*	0x45	069	E		Uppercase E						*/	XPL_UPPERCASE | XPL_HEXADECIMAL, 
	/*	0x46	070	F		Uppercase F						*/	XPL_UPPERCASE | XPL_HEXADECIMAL, 
	/*	0x47	071	G		Uppercase G						*/	XPL_UPPERCASE, 
	/*	0x48	072	H		Uppercase H						*/	XPL_UPPERCASE, 
	/*	0x49	073	I		Uppercase I						*/	XPL_UPPERCASE, 
	/*	0x4A	074	J		Uppercase J						*/	XPL_UPPERCASE, 
	/*	0x4B	075	K		Uppercase K						*/	XPL_UPPERCASE, 
	/*	0x4C	076	L		Uppercase L						*/	XPL_UPPERCASE, 
	/*	0x4D	077	M		Uppercase M						*/	XPL_UPPERCASE, 
	/*	0x4E	078	N		Uppercase N						*/	XPL_UPPERCASE, 
	/*	0x4F	079	O		Uppercase O						*/	XPL_UPPERCASE, 
	/*	0x50	080	P		Uppercase P						*/	XPL_UPPERCASE, 
	/*	0x51	081	Q		Uppercase Q						*/	XPL_UPPERCASE, 
	/*	0x52	082	R		Uppercase R						*/	XPL_UPPERCASE, 
	/*	0x53	083	S		Uppercase S						*/	XPL_UPPERCASE, 
	/*	0x54	084	T		Uppercase T						*/	XPL_UPPERCASE, 
	/*	0x55	085	U		Uppercase U						*/	XPL_UPPERCASE, 
	/*	0x56	086	V		Uppercase V						*/	XPL_UPPERCASE, 
	/*	0x57	087	W		Uppercase W						*/	XPL_UPPERCASE, 
	/*	0x58	088	X		Uppercase X						*/	XPL_UPPERCASE, 
	/*	0x59	089	Y		Uppercase Y						*/	XPL_UPPERCASE, 
	/*	0x5A	090	Z		Uppercase Z						*/	XPL_UPPERCASE, 
	/*	0x5B	091	[											*/	XPL_PUNCTUATION, 
	/*	0x5C	092	\		Back Slash						*/	XPL_PUNCTUATION, 
	/*	0x5D	093	]											*/	XPL_PUNCTUATION, 
	/*	0x5E	094	^											*/	XPL_PUNCTUATION, 
	/*	0x5F	095	_		Underscore						*/	XPL_PUNCTUATION, 
	/*	0x60	096	`											*/	XPL_PUNCTUATION, 
	/*	0x61	097	a		Lowercase a						*/	XPL_LOWERCASE | XPL_HEXADECIMAL, 
	/*	0x62	098	b		Lowercase b						*/	XPL_LOWERCASE | XPL_HEXADECIMAL, 
	/*	0x63	099	c		Lowercase c						*/	XPL_LOWERCASE | XPL_HEXADECIMAL, 
	/*	0x64	100	d		Lowercase d						*/	XPL_LOWERCASE | XPL_HEXADECIMAL, 
	/*	0x65	101	e		Lowercase e						*/	XPL_LOWERCASE | XPL_HEXADECIMAL, 
	/*	0x66	102	f		Lowercase f						*/	XPL_LOWERCASE | XPL_HEXADECIMAL, 
	/*	0x67	103	g		Lowercase g						*/	XPL_LOWERCASE, 
	/*	0x68	104	h		Lowercase h						*/	XPL_LOWERCASE, 
	/*	0x69	105	i		Lowercase i						*/	XPL_LOWERCASE, 
	/*	0x6A	106	j		Lowercase j						*/	XPL_LOWERCASE, 
	/*	0x6B	107	k		Lowercase k						*/	XPL_LOWERCASE, 
	/*	0x6C	108	l		Lowercase l						*/	XPL_LOWERCASE, 
	/*	0x6D	109	m		Lowercase m						*/	XPL_LOWERCASE, 
	/*	0x6E	110	n		Lowercase n						*/	XPL_LOWERCASE, 
	/*	0x6F	111	o		Lowercase o						*/	XPL_LOWERCASE, 
	/*	0x70	112	p		Lowercase p						*/	XPL_LOWERCASE, 
	/*	0x71	113	q		Lowercase q						*/	XPL_LOWERCASE, 
	/*	0x72	114	r		Lowercase r						*/	XPL_LOWERCASE, 
	/*	0x73	115	s		Lowercase s						*/	XPL_LOWERCASE, 
	/*	0x74	116	t		Lowercase t						*/	XPL_LOWERCASE, 
	/*	0x75	117	u		Lowercase u						*/	XPL_LOWERCASE,  
	/*	0x76	118	v		Lowercase v						*/	XPL_LOWERCASE, 
	/*	0x77	119	w		Lowercase w						*/	XPL_LOWERCASE, 
	/*	0x78	120	x		Lowercase x						*/	XPL_LOWERCASE, 
	/*	0x79	121	y		Lowercase y						*/	XPL_LOWERCASE, 
	/*	0x7A	122	z		Lowercase z						*/	XPL_LOWERCASE, 
	/*	0x7B	123	{											*/	XPL_PUNCTUATION, 
	/*	0x7C	124	|											*/	XPL_PUNCTUATION, 
	/*	0x7D	125	}											*/	XPL_PUNCTUATION, 
	/*	0x7E	126	~											*/	XPL_PUNCTUATION, 
	/*	0x7F	127	DEL										*/	XPL_CONTROL, 
	/*	0x80	128												*/	0, 
	/*	0x81	129												*/	0, 
	/*	0x82	130												*/	0, 
	/*	0x83	131												*/	0, 
	/*	0x84	132												*/	0, 
	/*	0x85	133												*/	0, 
	/*	0x86	134												*/	0, 
	/*	0x87	135												*/	0, 
	/*	0x88	136												*/	0, 
	/*	0x89	137												*/	0, 
	/*	0x8A	138												*/	0, 
	/*	0x8B	139												*/	0, 
	/*	0x8C	140												*/	0, 
	/*	0x8D	141												*/	0, 
	/*	0x8E	142												*/	0, 
	/*	0x8F	143												*/	0, 
	/*	0x90	144												*/	0, 
	/*	0x91	145												*/	0, 
	/*	0x92	146												*/	0, 
	/*	0x93	147												*/	0, 
	/*	0x94	148												*/	0, 
	/*	0x95	149												*/	0, 
	/*	0x96	150												*/	0, 
	/*	0x97	151												*/	0, 
	/*	0x98	152												*/	0, 
	/*	0x99	153												*/	0, 
	/*	0x9A	154												*/	0, 
	/*	0x9B	155												*/	0, 
	/*	0x9C	156												*/	0, 
	/*	0x9D	157												*/	0, 
	/*	0x9E	158												*/	0, 
	/*	0x9F	159												*/	0, 
	/*	0xA0	160												*/	0, 
	/*	0xA1	161												*/	0, 
	/*	0xA2	162												*/	0, 
	/*	0xA3	163												*/	0, 
	/*	0xA4	164												*/	0, 
	/*	0xA5	165												*/	0, 
	/*	0xA6	166												*/	0, 
	/*	0xA7	167												*/	0, 
	/*	0xA8	168												*/	0, 
	/*	0xA9	169												*/	0, 
	/*	0xAA	170												*/	0, 
	/*	0xAB	171												*/	0, 
	/*	0xAC	172												*/	0, 
	/*	0xAD	173												*/	0, 
	/*	0xAE	174												*/	0, 
	/*	0xAF	175												*/	0, 
	/*	0xB0	176												*/	0, 
	/*	0xB1	177												*/	0, 
	/*	0xB2	178												*/	0, 
	/*	0xB3	179												*/	0, 
	/*	0xB4	180												*/	0, 
	/*	0xB5	181												*/	0, 
	/*	0xB6	182												*/	0, 
	/*	0xB7	183												*/	0, 
	/*	0xB8	184												*/	0, 
	/*	0xB9	185												*/	0, 
	/*	0xBA	186												*/	0, 
	/*	0xBB	187												*/	0, 
	/*	0xBC	188												*/	0, 
	/*	0xBD	189												*/	0, 
	/*	0xBE	190												*/	0, 
	/*	0xBF	191												*/	0, 
	/*	0xC0	192												*/	0, 
	/*	0xC1	193												*/	0, 
	/*	0xC2	194												*/	0, 
	/*	0xC3	195												*/	0, 
	/*	0xC4	196												*/	0, 
	/*	0xC5	197												*/	0, 
	/*	0xC6	198												*/	0, 
	/*	0xC7	199												*/	0, 
	/*	0xC8	200												*/	0, 
	/*	0xC9	201												*/	0, 
	/*	0xCA	202												*/	0, 
	/*	0xCB	203												*/	0, 
	/*	0xCC	204												*/	0, 
	/*	0xCD	205												*/	0, 
	/*	0xCE	206												*/	0, 
	/*	0xCF	207												*/	0, 
	/*	0xD0	208												*/	0, 
	/*	0xD1	209												*/	0, 
	/*	0xD2	210												*/	0, 
	/*	0xD3	211												*/	0, 
	/*	0xD4	212												*/	0, 
	/*	0xD5	213												*/	0, 
	/*	0xD6	214												*/	0, 
	/*	0xD7	215												*/	0, 
	/*	0xD8	216												*/	0, 
	/*	0xD9	217												*/	0, 
	/*	0xDA	218												*/	0, 
	/*	0xDB	219												*/	0, 
	/*	0xDC	220												*/	0, 
	/*	0xDD	221												*/	0, 
	/*	0xDE	222												*/	0, 
	/*	0xDF	223												*/	0, 
	/*	0xE0	224												*/	0, 
	/*	0xE1	225												*/	0, 
	/*	0xE2	226												*/	0, 
	/*	0xE3	227												*/	0, 
	/*	0xE4	228												*/	0, 
	/*	0xE5	229												*/	0, 
	/*	0xE6	230												*/	0, 
	/*	0xE7	231												*/	0, 
	/*	0xE8	232												*/	0, 
	/*	0xE9	233												*/	0, 
	/*	0xEA	234												*/	0, 
	/*	0xEB	235												*/	0, 
	/*	0xEC	236												*/	0, 
	/*	0xED	237												*/	0, 
	/*	0xEE	238												*/	0, 
	/*	0xEF	239												*/	0, 
	/*	0xF0	240												*/	0, 
	/*	0xF1	241												*/	0, 
	/*	0xF2	242												*/	0, 
	/*	0xF3	243												*/	0, 
	/*	0xF4	244												*/	0, 
	/*	0xF5	245												*/	0, 
	/*	0xF6	246												*/	0, 
	/*	0xF7	247												*/	0, 
	/*	0xF8	248												*/	0, 
	/*	0xF9	249												*/	0, 
	/*	0xFA	250												*/	0, 
	/*	0xFB	251												*/	0, 
	/*	0xFC	252												*/	0, 
	/*	0xFD	253												*/	0, 
	/*	0xFE	254												*/	0, 
	/*	0xFF	255												*/	0
};
